Bug 981200 - Review Request: perl-MooseX-Types-DateTime-MoreCoercions - Extensions to MooseX::Types::DateTime
Review Request: perl-MooseX-Types-DateTime-MoreCoercions - Extensions to Moos...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 890721
  Show dependency treegraph
 
Reported: 2013-07-04 05:07 EDT by Petr Pisar
Modified: 2013-07-26 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-MooseX-Types-DateTime-MoreCoercions-0.11-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 08:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-07-04 05:07:41 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-MooseX-Types-DateTime-MoreCoercions/perl-MooseX-Types-DateTime-MoreCoercions.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-MooseX-Types-DateTime-MoreCoercions/perl-MooseX-Types-DateTime-MoreCoercions-0.11-1.fc20.src.rpm
Description:
This module builds on MooseX::Types::DateTime to add additional custom
types and coercions. Since it builds on an existing type, all coercions
and constraints are inherited.

Fedora Account System Username: ppisar
Comment 1 Christopher Meng 2013-07-04 05:22:26 EDT
Do we need versioned BRs?
Comment 2 Petr Pisar 2013-07-04 08:03:34 EDT
The code does not accept any version. Without suitable version the code fails at compilation time. The build-requires just reflect constrains of package code. So it's not wrong to specify the versions.

The question if its needed is different problem. Fedora guidelines allows to omit versions if the all supported Fedora distributions provides fulfilling versions. I did not checked if the this is the case.

However keeping versions allows to port the package for different distributions (e.g. an EPEL) easily.

Also keeping versions allows automated source upgrade when the automated process starts with rigid and correct spec file, so consequent delta tests will produce minimal differences that are easy to review.
Comment 3 Christopher Meng 2013-07-25 23:45:10 EDT
Reviewed.

APPROVED.
Comment 4 Petr Pisar 2013-07-26 01:59:35 EDT
New Package SCM Request
=======================
Package Name: perl-MooseX-Types-DateTime-MoreCoercions
Short Description: Extensions to MooseX::Types::DateTime
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-07-26 07:54:25 EDT
Git done (by process-git-requests).
Comment 6 Petr Pisar 2013-07-26 08:19:28 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.